/****************************************
  ==== RESETS
****************************************/

html,
body,
div,
canvas {
    margin: 0;
    padding: 0;
}

::-moz-selection {
    color: #333;
    text-shadow: none;
}

::selection {
    color: #333;
    text-shadow: none;
}

.clear:after {
    visibility: hidden;
    display: block;
    font-size: 0;
    content: " ";
    clear: both;
    height: 0;
}

.clear {
    display: inline-table;
    clear: both;
}

/* Hides from IE-mac \*/

* html .clear {
    height: 1%;
}

.clear {
    display: block;
}

/* End hide from IE-mac */

/****************************************
  ==== LAYOUT
****************************************/

@font-face {
    font-family: "ShowcardGothic";
    src: url("../TemplateData/font/ShowcardGothic.TTF") format("truetype");
    font-style: normal;
    font-weight: normal;
}

#logoname {
    font-family: "ShowcardGothic";
    left: 15px;
    bottom: 7px;
    color: #fff;
    background-image: none;
    height: 23px;
    text-decoration: none;
    font-size: 24px;
    width: 200px;
    -webkit-user-select: none;
    /* Safari */
    -ms-user-select: none;
    /* IE 10 and IE 11 */
    user-select: none;
    /* Standard syntax */
}

html,
body {
    width: 100%;
    height: 100%;
    font-family: Helvetica, Verdana, Arial, sans-serif;
}

body {}

p.header,
p.footer {
    display: none;
}

div.logo {
    width: 204px;
    height: 38px;
    float: left;
    background: url(logo.png) 0 0 no-repeat;
    position: relative;
    z-index: 10;
}

div.title {
    height: 38px;
    line-height: 38px;
    padding: 0 10px;
    margin: 0 1px 0 0;
    float: right;
    color: #333;
    text-align: right;
    font-size: 18px;
    position: relative;
    z-index: 10;
}

.template-wrap {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    background: white;
}

.template-wrap canvas {
    margin: 0;
    position: relative;
    z-index: 9;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
}

.fullscreen {
    float: right;
    position: relative;
    z-index: 10;
}

#background {
    background: #4D4D4D;
    position: absolute;
}

#screen {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    text-align: center;
    width: 100%;
}

#y8-logo {
    background-image: url('/TemplateData/y8-logo.png');
    width: 500px;
    height: 282px;
    margin: 0 auto;
    background-size: 500px 282px;
}

#progress-frame-loader {
    margin: 0 auto;
    margin-top: 10px;
    height: 18px;
    width: 141px;
    visibility: hidden;
}

#progress-bar-loader {
    height: 18px;
    width: 141px;
    margin: 0 auto;
    text-align: left;
    margin-top: -18px;
}

#progress-bar {
    height: 18px;
}

#message-area {
    color: #ffffff;
    width: 100%;
}

#message-area img {
    vertical-align: middle;
}

body.template .footer {
    background: #222;
    font-family: Helvetica, Verdana, Arial, sans-serif;
    height: 40px;
    line-height: 40px;
    margin: 0;
}

body.template .footer .webgl-logo,
.title,
.fullscreen {
    background: transparent center no-repeat;
    display: inline-block;
    height: 100%;
}

body.template .footer .unity,
body.template .footer .webgl {
    box-sizing: border-box;
    background-position: 10px center;
    background-repeat: no-repeat;
    background-size: 46px 18px;
    height: 40px;
    float: left;
    padding: 0 10px;
    width: 66px;
}

body.template .footer .unity.enable {}

body.template .footer .unity.disable {}

body.template .footer .webgl.enable {}

body.template .footer .webgl.disable {}

body.template .footer .fullscreen {
    background-image: url('maximize-icon.png');
    background-position: 10px center;
    background-repeat: no-repeat;
    background-size: 25px;
    box-sizing: border-box;
    color: #fff;
    float: right;
    font-size: 12px;
    padding: 0 10px 0 36px;
    width: auto;
}

body.template .footer .unity.disable:hover,
body.template .footer .webgl.disable:hover,
body.template .footer .fullscreen:hover {
    cursor: pointer;
}

.webgl-content * {
    border: 0;
    margin: 0;
    padding: 0
}

.webgl-content {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.webgl-content .logo,
.progress,
.text {
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.webgl-content .logo {
    background: url('logo.png') no-repeat center / contain;
    width: 500px;
    height: 282px;
}

.webgl-content .progress {
    height: 18px;
    width: 141px;
    margin-top: 80px;
}

.webgl-content .progress .empty {
    background: url('progressEmpty.Light.png') no-repeat right / cover;
    float: right;
    width: 100%;
    height: 100%;
    display: inline-block;
}

.webgl-content .progress .full {
    background: url('progressFull.Light.png') no-repeat left / cover;
    float: left;
    width: 0%;
    height: 100%;
    display: inline-block;
}

.webgl-content .text {
    margin-top: 110px;
    color: white;
    font-weight: 700;
}

.webgl-content .spinner {
    vertical-align: middle;
}

.webgl-content .logo.Dark {
    background-image: url('y8-logo.png');
}

.webgl-content .progress.Dark .empty {
    background: black;
}

.webgl-content .progress.Dark .full {
    background: red;
}

.webgl-content .footer {
    margin-top: 5px;
    height: 38px;
    line-height: 38px;
    font-family: Helvetica, Verdana, Arial, sans-serif;
    font-size: 18px;
    background: #fff;
}

.webgl-content .footer .webgl-logo,
.title,
.fullscreen {
    height: 100%;
    display: inline-block;
    background: transparent center no-repeat;
}

.webgl-content .footer .webgl-logo {
    background-image: url('webgl-logo.png');
    width: 204px;
    float: left;
}

.webgl-content .footer .fullscreen {
    background-image: url('fullscreen.png');
    width: 38px;
    float: right;
}

.webgl-content .footer .title {
    margin-right: 10px;
    float: right;
}

.webgl-content #gameContainer {
    background: #4D4D4D !important;
}

.webgl-content .footer {
    background: #222;
    font-family: Helvetica, Verdana, Arial, sans-serif;
    height: 40px;
    line-height: 40px;
    margin: 0;
}

.webgl-content .footer .webgl-logo,
.title,
.fullscreen {
    background: transparent center no-repeat;
    display: inline-block;
    height: 100%;
}

.webgl-content .footer .unity,
.webgl-content .footer .webgl {
    box-sizing: border-box;
    background-position: 10px center;
    background-repeat: no-repeat;
    background-size: 46px 18px;
    height: 40px;
    float: left;
    padding: 0 10px;
    width: 66px;
}

.webgl-content .footer .unity.enable {
    background-image: url('unity-enable.png');
}

.webgl-content .footer .unity.disable {}

.webgl-content .footer .webgl.enable {}

.webgl-content .footer .webgl.disable {
    background-image: url('webgl-disable.png');
}

.webgl-content .footer .fullscreen {
    background-image: url('maximize-icon.png');
    background-position: 10px center;
    background-repeat: no-repeat;
    background-size: 25px;
    box-sizing: border-box;
    color: #fff;
    float: right;
    font-size: 12px;
    padding: 0 10px 0 36px;
    width: auto;
}

.webgl-content .footer .unity.disable:hover,
.webgl-content .footer .webgl.disable:hover,
.webgl-content .footer .fullscreen:hover {
    cursor: pointer;
}

.webgl-content .logo,
.progress,
.text,
.audiotext {
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%)
}

.webgl-content .audiotext {
    margin-top: 130px;
    color: white;
    height: 38px;
    width: 550px;
    text-align: center;
    line-height: 38px;
    font-family: Helvetica, Verdana, Arial, sans-serif;
    font-size: 22px;
    display: inline-block;
    text-decoration: underline
}

gamecont {
    position: absolute;
    height: 100%;
    width: 100%;
}

.fullscreen {
    float: right;
    position: relative;
    z-index: 10;
}

#game {
    position: absolute;
    height: 100%;
    width: 100%;
}